#include "Pump.h"

Pump::Pump()
{
    // set up pins
    gpio_init(pin);
    gpio_set_dir(pin, GPIO_OUT);
}

void Pump::pumpMilliliters(int milliliters)
{
    gpio_put(pin, true);
    sleep_ms(calculateTimeToPushMilliliters(milliliters)*1000);
    gpio_put(pin, false);
}

int Pump::calculateTimeToPushMilliliters(int milliliters)
{
    return milliliters/millilitersPerSecond;
}
